
TYPO3.Neos - Task # 49856

Work Package # 47023 (Accepted): Global user interface

Status: Resolved Priority: Should have
Author: Aske Ertmann Category:
Created: 2013-07-10 Assigned To: Mattias Nilsson
Updated: 2013-10-25 Due date:
Subject: Button design
Description

    -  Default
    -  Primary
    -  Info
    -  Success
    -  Warning
    -  Danger
    -  Inverse?
    -  Link?

    -  Disabled state
    -  Hover state
    -  Pressed state

http://twitter.github.io/bootstrap/base-css.html#buttons

Associated revisions
Revision 2b52e8fa - 2013-10-24 23:56 - Mattias Nilsson

[TASK] Streamline button styling

This commit removes all refrences to neos-btn class and replaces
it with neos-button instead.

Change-Id: Ib98b4f2affe3bbd3201da4c4a937467c50f5577a
Resolves: #49856
Reviewed-on: https://review.typo3.org/24502
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal
Tested-by: Mr. Hudson
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision 9ad5301b - 2013-10-28 23:39 - Rens Admiraal

[TASK] Rename remaining neos-btn-* classes to neos-button-*

This commit removes all refrences to neos-btn* class and replaces
it with neos-button* instead.

Change-Id: I103c74b4cce5f6cd563746b3b8fbe2ace760a6c4
Related: #49856
Reviewed-on: https://review.typo3.org/24996
Tested-by: Mr. Hudson
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-07-11 22:32 - Aske Ertmann
- Project changed from Base Distribution to TYPO3.Neos

#2 - 2013-10-09 14:10 - Aske Ertmann
- Status changed from New to Accepted
- Assigned To changed from Rasmus Skjoldan to Mattias Nilsson

#3 - 2013-10-09 14:11 - Aske Ertmann
- Target version set to 1.0 alpha 6

#4 - 2013-10-09 17:25 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#5 - 2013-10-09 19:15 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#6 - 2013-10-10 11:54 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#7 - 2013-10-10 18:37 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#8 - 2013-10-12 11:20 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#9 - 2013-10-14 18:57 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#10 - 2013-10-15 15:36 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#11 - 2013-10-15 20:01 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#12 - 2013-10-16 19:57 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#13 - 2013-10-17 19:20 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#14 - 2013-10-18 15:30 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#15 - 2013-10-21 22:01 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#16 - 2013-10-22 13:22 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#17 - 2013-10-22 15:37 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#18 - 2013-10-22 23:58 - Gerrit Code Review
Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#19 - 2013-10-24 23:03 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24502

#20 - 2013-10-25 00:36 - Mattias Nilsson
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2b52e8fa715dfea65c525f0618c772d6c11a8107.
